import React, {Component} from 'react';
import {NavLink} from 'react-router-dom';

class MainPage extends Component {
    render() {
        return (
            <div className="intro">
                <div className="avatar">
                    <a href="/#"><img src="https://xxb.lttc.cn/uploads/user/avatar/59/6d9d4a.jpg" alt="头像"/> </a>
                </div>
                <div className="nickname">MyBlog</div>
                <div className="description">
                    <p>
                        生命不息，奋斗不止
                        <br/>
                        Cease to struggle and you cease to live
                    </p>
                </div>
                <div className="links">
                    <NavLink className="link-item" title="Posts" to="posts">
                        <i className="iconfont iconread"/>
                    </NavLink>
                    <a target="#" className="link-item" title="API" href="http://localhost:5000/swagger">
                        <i className="iconfont iconapi"/>
                    </a>
                    <NavLink className="link-item" title="Manage" to="/auth">
                        <i className="iconfont iconmanage"/>
                    </NavLink>
                    <a target="#" className="link-item" title="Git"
                       href="https://git.xxb.lttc.cn/wangbc/MyBlog">
                        <i className="iconfont icongithub"/>
                    </a>
                </div>
            </div>
        );
    }
}

export default MainPage;